curl --request GET \
--url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id} \
--header 'X-Clinia-API-Key: <api-key>'import requests
url = "https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id}"
headers = {"X-Clinia-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Clinia-API-Key': '<api-key>'}};
fetch('https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"data": {},
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"source": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"contained": {},
"includes": {}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {},
"applicationErrorCode": "REGISTRY_DUPLICATE_IDENTIFIER"
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}Get a resource from the registry
Get a resource from the registry.
Authorizations
Path Parameters
The key of the source.
Type of the resource. Key of the profile.
The resource ID. It can also be an identifier with the following formats {system}:{value}:{use} (e.g. clinia:123:use).
Query Parameters
List of relationship property key (included resources) to includes with the response. Keys must be valid relationship property key for the given resource type.
Response
The resource with the given id.
The included resources or relationships. All odd number of path segments are relationships, and all even number of path segments are resources.
Type of the resource.
Show child attributes
Show child attributes
Resources contained in this top-level resource. Contained resources exists only within the context of this top-level resource.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?